.aa-search-input,
.aa-input-search,
.algolia-autocomplete,
.aa-input-container,
.aa-dropdown-menu {
    width: 100%;
}

.aa-input-search::-webkit-search-decoration,
.aa-input-search::-webkit-search-cancel-button,
.aa-input-search::-webkit-search-results-button,
.aa-input-search::-webkit-search-results-decoration {
    display: none;
}

.aa-input-icon {
    height: 16px;
    width: 16px;
    position: absolute;
    top: 50%;
    right: 16px;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    fill: #c2c2c2;
    pointer-events: none;
}

.aa-dropdown-menu {
    background-color: #fff;
    border: 1px solid rgba(228, 228, 228, 0.6);
    min-width: 360px;
    box-sizing: border-box;
    max-height: 250px;
    overflow: auto;
}

.aa-suggestion {
    padding: 6px 12px;
    cursor: pointer;
    display: flex;
    align-items: center;
    border-top: 1px solid rgba(228, 228, 228, 0.6);
}

.aa-suggestion .aa-suggestion-image {
    flex-basis: 10%;
    margin-right: 10px;
}

.aa-suggestion .aa-suggestion-title {
    flex-basis: 65%;
    padding-right: 5%;
}

.aa-suggestion .aa-suggestion-price {
    flex-basis: 25%;
    text-align: right;
    color: #333;
    font-size: 15px;
    font-weight: 500;
}

.aa-suggestion:nth-child(odd) {
    border-right: 1px solid rgba(228, 228, 228, 0.6);
}

.aa-suggestions-category {
    border-bottom: 1px solid rgba(228, 228, 228, 0.6);
    border-top: 1px solid rgba(228, 228, 228, 0.6);
    padding: 6px 12px;
}

.aa-suggestion>img {
    margin-right: 10px;
}

.aa-empty {
    padding: 12px;
}

.aa-input-search.aa-hint {
    height: 48px;
}

.aa-suggestion-title-bottom {
    font-size: 12px;
    margin-top: 5px;
}

.aa-suggestion .label {
    font-weight: normal!important;
}

#aa-search-button {
    position: absolute;
    right: 0;
    top: 0;
    z-index: 100;
    display: inline-block;
    height: 48px;
    width: 50px;
    -o-transition: color .3s, background .3s, border-color .3s;
    -ms-transition: color .3s, background .3s, border-color .3s;
    -moz-transition: color .3s, background .3s, border-color .3s;
    -webkit-transition: color .3s, background .3s, border-color .3s;
    transition: color .3s, background .3s, border-color .3s;
}

#aa-search-button:hover .aa-input-icon {
    fill: #fe6c00;
}


.aa-suggestion:hover {
    background-color: rgba(228, 228, 228, 0.6);
}

em.search-highlight {
    font-weight: bold;
    color: white;
    background-color: rgba(255, 0, 0, 0.5);
    font-style: normal;
    padding: 0 3px;
}

.aa-suggestions-footer {
    margin: 0;
    border-top: 1px solid rgba(228, 228, 228, 0.6);
    color: #333;
    font-size: 18px;
    display: flex;
    align-items: center;
}

.aa-suggestions-footer>div {
    padding: 6px 12px;
}

#hit-count {
    font-weight: 600;
    font-size: 16px;
    color: #333;
}

#aa-search-input[disabled] {
    cursor: wait;
}

.aa-suggestion-title-top {
    font-size: 15px;
    color: rgb(30, 100, 170);
    line-height: 20px;
}

.algolia-autocomplete {
    position: initial !important;
}

@media (max-width: 1024px) and (min-width: 769px) {
    .aa-suggestion-price {
        white-space: normal;
        display: flex;
        flex-direction: column;
        text-align: center;
        justify-content: center;
        align-items: center;
    }
    .aa-suggestion-price>.label {
        width: 75%;
        margin-bottom: 4px;
    }
}

@media (max-width: 425px) {
    .aa-suggestion .aa-suggestion-price {
        flex-basis: 70%;
        margin-left: 30%;
        text-align: left;
        align-items: baseline;
    }
    .aa-suggestion-price>.label {
        width: 75%;
        margin-bottom: 4px;
    }
    .aa-dropdown-menu {
        min-width: 280px;
    }
    .aa-suggestion {
       flex-wrap: wrap;
    }
    .aa-suggestion .aa-suggestion-image {
        flex-basis: 30%;
        margin-right: 0;
        padding-right: 10px;
    }
    .aa-suggestion .aa-suggestion-title {
        flex-basis: 70%;
        padding-right: 0;
    }
    
}